### Authors

Claus O. Wilke, Reto Stauffer, Achim Zeileis

## Graphical User Interface to Pick Colors in HCL Space

### Description

The app visualizes colors either along the hue-chroma plane for a given luminance value or along the luminance-chroma plane for a given hue. Colors can be entered by specifying the hue (H), chroma (C), and luminance (L) values via sliders, by entering an RGB hex code, or by clicking on a color in the hue-chroma or luminance-chroma plane. It is also possible to select individual colors and add them to a palette for comparison and future reference.

### Details

`choose_color` is a convenience alias for `hcl_color_picker` to go along with `choose_palette`. Another alias is `hclcolorpicker`.

### Value

`hclcolorpicker` invisibly returns a vector of colors choosen. If no colors have been selected `NULL` will be returned.